<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlatZaAnalitiku: alatZaAnalitiku/src/dataframe.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">AlatZaAnalitiku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_32374e165223414b7d047617c9a74980.html">alatZaAnalitiku</a></li><li class="navelem"><a class="el" href="dir_a7d251295564edc7fd08ff39724eea9b.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">dataframe.h</div></div>
</div><!--header-->
<div class="contents">
<a href="dataframe_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifndef DATAFRAME_H</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#define DATAFRAME_H</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="preprocessor">#include &lt;unordered_map&gt;</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="preprocessor">#include &lt;QString&gt;</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="preprocessor">#include &lt;QVector&gt;</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="foldopen" id="foldopen00008" data-start="{" data-end="};">
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7">    8</a></span><span class="keyword">enum</span> <a class="code hl_enumeration" href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7">TYPE</a>{</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7a8036f3be5700d4eb67d27fab554d5e0c">    9</a></span>    <a class="code hl_enumvalue" href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7a8036f3be5700d4eb67d27fab554d5e0c">NUMERIC</a>,</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    <a class="code hl_enumvalue" href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7aee847e634a4297b274316de8a8ca9921">STRING</a></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7aee847e634a4297b274316de8a8ca9921">   11</a></span>};</div>
</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="foldopen" id="foldopen00013" data-start="{" data-end="};">
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="class_var_vector.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="class_var_vector.html">VarVector</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="keyword">public</span>:</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    <a class="code hl_function" href="class_var_vector.html#a66ed8ee1b438c90e45b6a0a044e2ce14">VarVector</a>();</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    <a class="code hl_function" href="class_var_vector.html#a66ed8ee1b438c90e45b6a0a044e2ce14">VarVector</a>(<a class="code hl_enumeration" href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7">TYPE</a> t, QVector&lt;QString&gt; <a class="code hl_function" href="class_var_vector.html#afce59d710ba8ee803c81da4711da1534">vars</a>);</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    QString <a class="code hl_function" href="class_var_vector.html#aaaa2755f1b0ed1c7c38ec0b2882cde91">operator[]</a>(<span class="keywordtype">int</span> x);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    <a class="code hl_enumeration" href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7">TYPE</a> <a class="code hl_function" href="class_var_vector.html#a9d820ef8601e815d0839fc83d7feae2e">type</a>();</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    QVector&lt;QString&gt; <a class="code hl_function" href="class_var_vector.html#afce59d710ba8ee803c81da4711da1534">vars</a>();</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_var_vector.html#a1481dd7887f19b0868d97760fdf9dfd0">push_back</a>(<span class="keyword">const</span> QString &amp;x);</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_var_vector.html#aeb4056786dcdf2254f18879e218111f0">set_type</a>(<a class="code hl_enumeration" href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7">TYPE</a> t);</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    std::unordered_map&lt;QString, int&gt; <a class="code hl_function" href="class_var_vector.html#a8e76a53fd81763e3430dfe6a2c65170f">valueCounts</a>();</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span><span class="keyword">private</span>:</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="class_var_vector.html#a46984280bc242a5b6823c5e95a074afc">   29</a></span>    <a class="code hl_enumeration" href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7">TYPE</a> <a class="code hl_variable" href="class_var_vector.html#a46984280bc242a5b6823c5e95a074afc">_t</a>;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="class_var_vector.html#a9fe11f65274cbcb2ed0e5277b4aa8d31">   30</a></span>    QVector&lt;QString&gt; <a class="code hl_variable" href="class_var_vector.html#a9fe11f65274cbcb2ed0e5277b4aa8d31">_vars</a>;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>};</div>
</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span> </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span> </div>
<div class="foldopen" id="foldopen00037" data-start="{" data-end="};">
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="class_data_frame.html">   37</a></span><span class="keyword">class </span><a class="code hl_class" href="class_data_frame.html">DataFrame</a></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>{</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span><span class="keyword">public</span>:</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="class_data_frame.html#aa89012037296043886e111bf68cb40b1">   41</a></span>    std::unordered_map&lt;QString, VarVector&gt; <a class="code hl_variable" href="class_data_frame.html#aa89012037296043886e111bf68cb40b1">_df</a>;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    <a class="code hl_function" href="class_data_frame.html#a69a9dc47b7506b8062fd34aedacbf579">DataFrame</a>();</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    <a class="code hl_function" href="class_data_frame.html#a69a9dc47b7506b8062fd34aedacbf579">DataFrame</a>(<span class="keyword">const</span> QString&amp; path);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    <a class="code hl_class" href="class_var_vector.html">VarVector</a> <a class="code hl_function" href="class_data_frame.html#ab8e4518c3b74e67dd730f22cc09058c2">operator[]</a>(<span class="keyword">const</span> QString &amp;s);</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    QVector&lt;QString&gt; <a class="code hl_function" href="class_data_frame.html#ac589b43ddb03a3eb978bc9a7ab2c0c71">header</a>() <span class="keyword">const</span>;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_data_frame.html#accb6bfb95bd7e73ac37b1691423970f3">push_back</a>(QString &amp;col, <span class="keyword">const</span> QString &amp;value);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    <a class="code hl_class" href="class_var_vector.html">VarVector</a> <a class="code hl_function" href="class_data_frame.html#ace1a62b51bc39befdcc3d122d75040c2">unique</a>(<span class="keyword">const</span> QString &amp;column);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_data_frame.html#a72375750e6c432be9502a154f3b551c3">setColType</a>(QString &amp;col, <a class="code hl_enumeration" href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7">TYPE</a> t);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    <a class="code hl_enumeration" href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7">TYPE</a> <a class="code hl_function" href="class_data_frame.html#a02b9467a5970122bfd6567d7dff75aed">colType</a>(<span class="keyword">const</span> QString &amp;column);</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    <span class="keywordtype">int</span> <a class="code hl_function" href="class_data_frame.html#abec731f12d8c98a5091cec6d5dedcf27">count</a>(QString &amp;column, QString &amp;item);</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    <a class="code hl_class" href="class_data_frame.html">DataFrame</a> <a class="code hl_function" href="class_data_frame.html#a752cc97c60047440045a4aee5fb52403">filter</a>(QString &amp;column,QString &amp;item);</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    <span class="comment">//VALUE COUNTS</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span> </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>};</div>
</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span> </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span> </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span> </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span> </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span> </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span><span class="preprocessor">#endif </span><span class="comment">// DATAFRAME_H</span></div>
<div class="ttc" id="aclass_data_frame_html"><div class="ttname"><a href="class_data_frame.html">DataFrame</a></div><div class="ttdef"><b>Definition</b> dataframe.h:38</div></div>
<div class="ttc" id="aclass_data_frame_html_a02b9467a5970122bfd6567d7dff75aed"><div class="ttname"><a href="class_data_frame.html#a02b9467a5970122bfd6567d7dff75aed">DataFrame::colType</a></div><div class="ttdeci">TYPE colType(const QString &amp;column)</div><div class="ttdef"><b>Definition</b> dataframe.cpp:116</div></div>
<div class="ttc" id="aclass_data_frame_html_a69a9dc47b7506b8062fd34aedacbf579"><div class="ttname"><a href="class_data_frame.html#a69a9dc47b7506b8062fd34aedacbf579">DataFrame::DataFrame</a></div><div class="ttdeci">DataFrame()</div><div class="ttdef"><b>Definition</b> dataframe.cpp:93</div></div>
<div class="ttc" id="aclass_data_frame_html_a72375750e6c432be9502a154f3b551c3"><div class="ttname"><a href="class_data_frame.html#a72375750e6c432be9502a154f3b551c3">DataFrame::setColType</a></div><div class="ttdeci">void setColType(QString &amp;col, TYPE t)</div><div class="ttdef"><b>Definition</b> dataframe.cpp:145</div></div>
<div class="ttc" id="aclass_data_frame_html_a752cc97c60047440045a4aee5fb52403"><div class="ttname"><a href="class_data_frame.html#a752cc97c60047440045a4aee5fb52403">DataFrame::filter</a></div><div class="ttdeci">DataFrame filter(QString &amp;column, QString &amp;item)</div><div class="ttdef"><b>Definition</b> dataframe.cpp:149</div></div>
<div class="ttc" id="aclass_data_frame_html_aa89012037296043886e111bf68cb40b1"><div class="ttname"><a href="class_data_frame.html#aa89012037296043886e111bf68cb40b1">DataFrame::_df</a></div><div class="ttdeci">std::unordered_map&lt; QString, VarVector &gt; _df</div><div class="ttdef"><b>Definition</b> dataframe.h:41</div></div>
<div class="ttc" id="aclass_data_frame_html_ab8e4518c3b74e67dd730f22cc09058c2"><div class="ttname"><a href="class_data_frame.html#ab8e4518c3b74e67dd730f22cc09058c2">DataFrame::operator[]</a></div><div class="ttdeci">VarVector operator[](const QString &amp;s)</div><div class="ttdef"><b>Definition</b> dataframe.cpp:104</div></div>
<div class="ttc" id="aclass_data_frame_html_abec731f12d8c98a5091cec6d5dedcf27"><div class="ttname"><a href="class_data_frame.html#abec731f12d8c98a5091cec6d5dedcf27">DataFrame::count</a></div><div class="ttdeci">int count(QString &amp;column, QString &amp;item)</div><div class="ttdef"><b>Definition</b> dataframe.cpp:132</div></div>
<div class="ttc" id="aclass_data_frame_html_ac589b43ddb03a3eb978bc9a7ab2c0c71"><div class="ttname"><a href="class_data_frame.html#ac589b43ddb03a3eb978bc9a7ab2c0c71">DataFrame::header</a></div><div class="ttdeci">QVector&lt; QString &gt; header() const</div><div class="ttdef"><b>Definition</b> dataframe.cpp:107</div></div>
<div class="ttc" id="aclass_data_frame_html_accb6bfb95bd7e73ac37b1691423970f3"><div class="ttname"><a href="class_data_frame.html#accb6bfb95bd7e73ac37b1691423970f3">DataFrame::push_back</a></div><div class="ttdeci">void push_back(QString &amp;col, const QString &amp;value)</div><div class="ttdef"><b>Definition</b> dataframe.cpp:141</div></div>
<div class="ttc" id="aclass_data_frame_html_ace1a62b51bc39befdcc3d122d75040c2"><div class="ttname"><a href="class_data_frame.html#ace1a62b51bc39befdcc3d122d75040c2">DataFrame::unique</a></div><div class="ttdeci">VarVector unique(const QString &amp;column)</div><div class="ttdef"><b>Definition</b> dataframe.cpp:120</div></div>
<div class="ttc" id="aclass_var_vector_html"><div class="ttname"><a href="class_var_vector.html">VarVector</a></div><div class="ttdef"><b>Definition</b> dataframe.h:14</div></div>
<div class="ttc" id="aclass_var_vector_html_a1481dd7887f19b0868d97760fdf9dfd0"><div class="ttname"><a href="class_var_vector.html#a1481dd7887f19b0868d97760fdf9dfd0">VarVector::push_back</a></div><div class="ttdeci">void push_back(const QString &amp;x)</div><div class="ttdef"><b>Definition</b> dataframe.cpp:58</div></div>
<div class="ttc" id="aclass_var_vector_html_a46984280bc242a5b6823c5e95a074afc"><div class="ttname"><a href="class_var_vector.html#a46984280bc242a5b6823c5e95a074afc">VarVector::_t</a></div><div class="ttdeci">TYPE _t</div><div class="ttdef"><b>Definition</b> dataframe.h:29</div></div>
<div class="ttc" id="aclass_var_vector_html_a66ed8ee1b438c90e45b6a0a044e2ce14"><div class="ttname"><a href="class_var_vector.html#a66ed8ee1b438c90e45b6a0a044e2ce14">VarVector::VarVector</a></div><div class="ttdeci">VarVector()</div><div class="ttdef"><b>Definition</b> dataframe.cpp:39</div></div>
<div class="ttc" id="aclass_var_vector_html_a8e76a53fd81763e3430dfe6a2c65170f"><div class="ttname"><a href="class_var_vector.html#a8e76a53fd81763e3430dfe6a2c65170f">VarVector::valueCounts</a></div><div class="ttdeci">std::unordered_map&lt; QString, int &gt; valueCounts()</div><div class="ttdef"><b>Definition</b> dataframe.cpp:66</div></div>
<div class="ttc" id="aclass_var_vector_html_a9d820ef8601e815d0839fc83d7feae2e"><div class="ttname"><a href="class_var_vector.html#a9d820ef8601e815d0839fc83d7feae2e">VarVector::type</a></div><div class="ttdeci">TYPE type()</div><div class="ttdef"><b>Definition</b> dataframe.cpp:50</div></div>
<div class="ttc" id="aclass_var_vector_html_a9fe11f65274cbcb2ed0e5277b4aa8d31"><div class="ttname"><a href="class_var_vector.html#a9fe11f65274cbcb2ed0e5277b4aa8d31">VarVector::_vars</a></div><div class="ttdeci">QVector&lt; QString &gt; _vars</div><div class="ttdef"><b>Definition</b> dataframe.h:30</div></div>
<div class="ttc" id="aclass_var_vector_html_aaaa2755f1b0ed1c7c38ec0b2882cde91"><div class="ttname"><a href="class_var_vector.html#aaaa2755f1b0ed1c7c38ec0b2882cde91">VarVector::operator[]</a></div><div class="ttdeci">QString operator[](int x)</div><div class="ttdef"><b>Definition</b> dataframe.cpp:47</div></div>
<div class="ttc" id="aclass_var_vector_html_aeb4056786dcdf2254f18879e218111f0"><div class="ttname"><a href="class_var_vector.html#aeb4056786dcdf2254f18879e218111f0">VarVector::set_type</a></div><div class="ttdeci">void set_type(TYPE t)</div><div class="ttdef"><b>Definition</b> dataframe.cpp:62</div></div>
<div class="ttc" id="aclass_var_vector_html_afce59d710ba8ee803c81da4711da1534"><div class="ttname"><a href="class_var_vector.html#afce59d710ba8ee803c81da4711da1534">VarVector::vars</a></div><div class="ttdeci">QVector&lt; QString &gt; vars()</div><div class="ttdef"><b>Definition</b> dataframe.cpp:54</div></div>
<div class="ttc" id="adataframe_8h_html_a0bc6723d5d4776ab7cdc646728b775f7"><div class="ttname"><a href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7">TYPE</a></div><div class="ttdeci">TYPE</div><div class="ttdef"><b>Definition</b> dataframe.h:8</div></div>
<div class="ttc" id="adataframe_8h_html_a0bc6723d5d4776ab7cdc646728b775f7a8036f3be5700d4eb67d27fab554d5e0c"><div class="ttname"><a href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7a8036f3be5700d4eb67d27fab554d5e0c">NUMERIC</a></div><div class="ttdeci">@ NUMERIC</div><div class="ttdef"><b>Definition</b> dataframe.h:9</div></div>
<div class="ttc" id="adataframe_8h_html_a0bc6723d5d4776ab7cdc646728b775f7aee847e634a4297b274316de8a8ca9921"><div class="ttname"><a href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7aee847e634a4297b274316de8a8ca9921">STRING</a></div><div class="ttdeci">@ STRING</div><div class="ttdef"><b>Definition</b> dataframe.h:10</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0
</small></address>
</body>
</html>
